Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs.utils
Class ImageUtils.ColorsToTransparentFilter

    java.lang.Object
      java.awt.image.ImageFilter
          java.awt.image.RGBImageFilter
              org.deegree.ogcwebservices.wpvs.utils.ImageUtils.ColorsToTransparentFilter

All Implemented Interfaces:
  ImageConsumer, Cloneable

Enclosing class:
  ImageUtils

    public class ImageUtils.ColorsToTransparentFilter

extends RGBImageFilter

An `RGBImageFilter` to substitute all input colors by a completely transparent one.

Author:
  Ugo Taddei, last edited by: $Author: mschneider $ $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $

Field Summary
`(package private) float` | `alphaPercent` 0.975f

Fields inherited from class java.awt.image.RGBImageFilter
`canFilterIndexColorModel, newmodel, origmodel`

Fields inherited from class java.awt.image.ImageFilter
`consumer`

Fields inherited from interface java.awt.image.ImageConsumer
`COMPLETESCANLINES, IMAGEABORTED, IMAGEERROR, RANDOMPIXELORDER, SINGLEFRAME, SINGLEFRAMEDONE, SINGLEPASS, STATICIMAGEDONE, TOPDOWNLEFTRIGHT`

Constructor Summary
`ImageUtils.ColorsToTransparentFilter(int[] colors)`

Method Summary
`int` | `filterRGB(int x, int y, int argb)`

Methods inherited from class java.awt.image.RGBImageFilter
`filterIndexColorModel, filterRGBPixels, setColorModel, setPixels, setPixels, substituteColorModel`

Methods inherited from class java.awt.image.ImageFilter
`clone, getFilterInstance, imageComplete, resendTopDownLeftRight, setDimensions, setHints, setProperties`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### alphaPercent

    float alphaPercent

  0.975f

Constructor Detail

### ImageUtils.ColorsToTransparentFilter

    public ImageUtils.ColorsToTransparentFilter(int[] colors)

Parameters:
  `colors` - the Colors which should be transparent

Method Detail

### filterRGB

    public int filterRGB(int x,
                         int y,
                         int argb)

  Specified by:
    `filterRGB` in class `RGBImageFilter`
  See Also:
    `RGBImageFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org